using System;

namespace SharpQuake
{
	internal class glpoly_t
	{
		public void Clear()
		{
			this.next = null;
			this.chain = null;
			this.numverts = 0;
			this.flags = 0;
			this.verts = null;
		}

		public void AllocVerts(int count)
		{
			this.numverts = count;
			this.verts = new float[count][];
			for (int i = 0; i < count; i++)
			{
				this.verts[i] = new float[7];
			}
		}

		public glpoly_t next;

		public glpoly_t chain;

		public int numverts;

		public int flags;

		public float[][] verts;
	}
}
